<!DOCTYPE html <html lang="en">

<head>
        <meta charset="utf-8" />
        <title>
                #{{channel.name}} Archive @ {{timestamp.strftime("%A %b %-m %Y @ %-I:%M
                %p")}}
        </title>
        <meta name="description" content="{{channel.name}} archive" />
        <meta name="author" content="{{bot_name}}" />
        <meta name="snapshot_time" content="{{timestamp.strftime(" %A %b %-m %Y @ %-I:%M %p")}}" />
        <meta name="channel.id" content="{{channel.id}}" />
        <link href="https://unpkg.com/tailwindcss@^2/dist/tailwind.min.css" rel="stylesheet" />
        {{styles}}
</head>

<body class="dark-mode" id="top">
        <section class="max-w-full flex py-4 items-center justify-center flex flex-col"
                data-placeholder-background="grey"
                style="background-image:url('https://cdn.discordapp.com/attachments/376110622942691329/874673901555310692/bot-archive-tiny.png');min-height:400px;">
                <div class="flex items-center justify-center w-full mb-12">
                        <label for="toggleB" class="flex items-center cursor-pointer">
                                <!-- toggle -->
                                <div class="relative">
                                        <!-- input -->
                                        <input type="checkbox" id="toggleB" class="sr-only">
                                        <!-- line -->
                                        <div class="block bg-gray-600 w-14 h-8 rounded-full"></div>
                                        <!-- dot -->
                                        <div class="dot absolute left-1 top-1 bg-white w-6 h-6 rounded-full transition">
                                        </div>
                                </div>
                                <!-- label -->
                                <div class="ml-3 font-medium text-white">
                                        Light Mode
                                </div>
                        </label>
                </div>
                <h1 class="text-4xl discord-blue mx-5">
                        #{{channel.name}} Archive <br />
                        <small class="text-lg text-grey-400">@ {{timestamp.strftime("%A %b %-m %Y @ %-I:%M
                                %p")}}</small>
                </h1>
                {% if channel.topic %}
                <div class="text-1xl text-white mx-2 my-2 max-w-6xl">
                        {{channel.topic}}
                </div>
                {% endif %}
                <div class="flex flex-row w-full text-right items-center">
                        <div class="flex-1">
                                <img src="{{guild.icon_url}}" title="" width="75" height="75"
                                        class="float-right guild-logo {% if guild.name == " Official Game Theorists"
                                        %}logo-animate{% endif %}" />
                        </div>
                        <div class="text-center flex-1 text-white">
                                <strong>Guild Name:</strong><br />
                                {{guild.name}}
                        </div>
                        {% if channel.category %}
                        <div class="text-center flex-1 text-white">
                                <strong>Category:</strong><br />
                                {{channel.category.name}}
                        </div>
                        {% endif %}
                        <div class="flex-1 text-left text-white">
                                <strong>Channel ID:</strong><br />
                                {{channel.id}}
                        </div>
                        <div class="flex-1 text-left text-white">
                                <strong>Channel Message Count:</strong><br />
                                {{message_count}}
                        </div>
                </div>
        </section>
        <!-- Pins  -->
        <div class="border-4 border-white sticky top-0 inline-block p-8 float-right" id="pins_menu">
                <a role="button" class="my-4 bg-green-400 hover:bg-green-200 text-white text-center py-2 px-4 rounded"
                        href="#top">Top</a><br />
                <button role="button"
                        class="my-4 bg-indigo-500 hover:bg-indigo-700 text-white text-center py-2 px-4 rounded"
                        id="pin_toggle">Show Pins</button>
                <ul id="pins" class="">
                        <li class="text-lg my-4">Pins:</li>
                </ul>
        </div>
        <div class="max-w-screen-xl mx-auto">{{ body }}</div>
</body>
<script type="text/javascript">
        var toggler = document.getElementById("toggleB")
        var html = document.querySelector("body")
        toggler.addEventListener('change', function () {
                if (toggler.checked == true) {
                        html.classList.remove('dark-mode')
                        html.classList.add('light-mode')
                } else {
                        html.classList.remove('light-mode')
                        html.classList.add('dark-mode')
                }
        })
</script>
<script>
        var pins = document.querySelectorAll('[id^=pinned--]');
        var pin_list = document.getElementById("pins")
        pins.forEach(function (pin) {
                var item = document.createElement("li");
                var link = document.createElement("a");
                var pin_item = document.createElement("span")
                var pin_author = document.createElement("span")
                var pin_body = document.createElement("span")

                author = pin.firstElementChild.innerText.split("\n")[0];
                author = author.substring(0, author.length - 1);
                content = pin.children[1].textContent;

                link.href = "#" + pin.id;

                link.classList = pin.firstElementChild.classList;

                link.classList.remove("text-xl");
                link.classList.remove("font-bold");

                item.classList.add("my-3");
                pin_item.classList.add("pin-item");
                pin_author.classList.add("pin-author");
                //pin_body.classList.add("pin-body block");

                pin_item.textContent = "📌 Pin by "
                pin_author.textContent = author
                //pin_body.textContent = content

                pin_item.append(pin_author);
                //pin_item.append(pin_body);
                link.append(pin_item);
                item.append(link);

                pin_list.append(item);
        })
</script>
<script>
        var toggle = document.getElementById("pin_toggle");
        var menu = document.getElementById("pins");
        toggle.addEventListener("click", function () {
                if (menu.classList.contains("show") == true) {
                        menu.classList.remove("show");
                        toggle.textContent = "Show Pins";
                } else {
                        menu.classList.add("show");
                        toggle.textContent = "Hide Pins";
                }
        });
</script>
<script src="https://cdn.jsdelivr.net/npm/lozad"></script>
<script>
        lozad('.lozad', {
                load: function (el) {
                        el.src = el.dataset.src;
                        el.onload = function () {
                                el.classList.add('fade')
                        }
                }
        }).observe()
</script>

</html>
